Rotate a Fleet message signing key pair

Base URL
https://{kibana_url}
  • POST /api/fleet/message_signing_service/rotate_key_pair
  • POST /s/{space_id}/api/fleet/message_signing_service/rotate_key_pair

Refer to Spaces for more information.

Rotate the key pair used by Fleet to sign messages sent to Elastic Agents. This operation is irreversible and requires all agents in the Fleet to be re-enrolled after rotation. You must explicitly acknowledge the risk by passing acknowledge=true as a query parameter.

Responses

Base URL
https://{kibana_url}